## mini18n 0.2.1

=== CMakeLists.txt ===
project(mini18n)

cmake_minimum_required(VERSION 2.8)

set(MINI18N_VERSION_MAJOR 0)
set(MINI18N_VERSION_MINOR 2)
set(MINI18N_VERSION_PATCH 1)
set(MINI18N_VERSION "${MINI18N_VERSION_MAJOR}.${MINI18N_VERSION_MINOR}.${MINI18N_VERSION_PATCH}")

set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_PACKAGE_VERSION_MAJOR ${MINI18N_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${MINI18N_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${MINI18N_VERSION_PATCH})
set(CPAKE_PACKAGE_VENDOR "Yabause team")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "mini18n-${MINI18N_VERSION}")
include(CPack)

add_subdirectory(doc)
add_subdirectory(example)
add_subdirectory(src)

=== doc/CMakeLists.txt ===
install(FILES "mini18n.3" DESTINATION "share/man/man3")
install(FILES "mini18n_set_locale.3" DESTINATION "share/man/man3")

=== example/CMakeLists.txt ===
set(simple_SOURCES main.c)

add_executable(simple-example ${simple_SOURCES})
target_link_libraries(simple-example mini18n-shared)

set(multi_SOURCES multi.c)

add_executable(multi-example ${multi_SOURCES})
target_link_libraries(multi-example mini18n-shared)

=== src/CMakeLists.txt ===
set(mini18n_SOURCES
    mini18n.c
    mini18n-multi.c
    mini18n_pv_data.c
    mini18n_pv_file_po.c
    mini18n_pv_file_yts.c
    mini18n_pv_hash.c
    mini18n_pv_list.c)

if(WIN32)
    set(mini18n_SOURCES ${mini18n_SOURCES} mini18n_pv_conv_windows.c)
    add_definitions(-DHAVE_UTF16=1)
endif()

include(CheckFunctionExists)
check_function_exists(wcsdup HAVE_WCSDUP)
if (HAVE_WCSDUP)
    add_definitions(-DHAVE_WCSDUP=1)
endif ()

try_compile(HAVE_WCS_POINTERS ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/cmake/check_wcs_functions.c)

add_library(mini18n-shared SHARED ${mini18n_SOURCES})
set_target_properties(mini18n-shared PROPERTIES OUTPUT_NAME mini18n SOVERSION 1 VERSION 1.0.1)
add_library(mini18n-static STATIC ${mini18n_SOURCES})
set_target_properties(mini18n-static PROPERTIES OUTPUT_NAME mini18n)

install(TARGETS mini18n-shared DESTINATION "lib")
install(TARGETS mini18n-static DESTINATION "lib")
install(FILES mini18n.h DESTINATION "include")
install(FILES mini18n-multi.h DESTINATION "include")

=== debian/changelog ===
mini18n (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Drop 01_fix_segfault_LP450821.patch.
  * Build-Depend on cmake.
  * Soname bump
  * Convert to dh7 tiny with override, compat level 9
  * Switch to 3.0 (quilt)
  * Standards-Version: 3.9.2
  * Stop shipping .a file
  * Install manpage in the dev package

 -- Evgeni Golov <evgeni@debian.org>  Wed, 23 Nov 2011 09:54:36 +0100

mini18n (0.1-2) unstable; urgency=low

  * debian/control:
    + Add quilt Build-Dep.
    + Update my email-address.
    + Put debug package into debug section.
    + Standards-Version: 3.8.3.
  * debian/rules:
    + Use quilt for patch handling.
  * debian/patches/01_fix_segfault_LP450821.patch:
    + Fix segfault with a patch from upstream SVN.
      LP: #450821
  * debian/README.source:
    + Add README.source telling where info about quilt can be found.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 18 Oct 2009 18:18:54 +0200

mini18n (0.1-1) unstable; urgency=low

  * Initial release (Closes: #508398)

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 07 Mar 2009 21:15:15 +0100

=== debian/control ===
Source: mini18n
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 8.9.0~), cmake
Standards-Version: 3.9.2
Section: libs
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/mini18n/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/mini18n/
Homepage: http://sourceforge.net/projects/yabause

Package: libmini18n1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimal internationalization library
 mini18n is a small and non-intrusive translation library,
 designed for small memory and (non-)GNU systems.
 .
 Features:
  * Overrideable system-locale support
  * Full UTF-8 support
  * Converters for systems not using UTF-8 

Package: libmini18n1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmini18n1 (= ${binary:Version})
Description: minimal internationalization library - debug symbols
 mini18n is a small and non-intrusive translation library, 
 designed for small memory and (non-)GNU systems.
 .
 Features:
  * Overrideable system-locale support
  * Full UTF-8 support
  * Converters for systems not using UTF-8
 .
 This package contains the debug symbols needed for gdb.

Package: libmini18n-dev
Section: libdevel
Architecture: any
Depends: libmini18n1 (= ${binary:Version}), ${misc:Depends}
Description: minimal internationalization library - devel headers
 mini18n is a small and non-intrusive translation library, 
 designed for small memory and (non-)GNU systems.
 .
 Features:
  * Overrideable system-locale support
  * Full UTF-8 support
  * Converters for systems not using UTF-8
 .
 This package contains the devel headers needed to link agains libmini18n.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_strip:
	dh_strip -a --dbg-package=libmini18n1-dbg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://sf.net/yabause/mini18n-(.*)\.tar\.gz
